=== modified file 'NEWS'
--- NEWS	2008-07-31 05:41:42 +0000
+++ NEWS	2008-07-26 17:53:10 +0000
@@ -4,8 +4,6 @@
 1.6 [unreleased]
 ----------------
 
-    - Default sqlite interface is now sqlite3. (Robert Collins)
-
     - New ninja theme sponsored by Canonical (Martin Albisetti)
 
     - Added COPYING file and clarified copyright headers (John Arbash Meinel)
@@ -61,6 +59,7 @@
       cache.
 
 1.2  [04mar2008]
+----------------
 
     - Michael Hudson <michael.hudson@canonical.com> has mostly taken
       over the maintenance of loggerhead.

=== modified file 'loggerhead/__init__.py'
--- loggerhead/__init__.py	2008-07-29 22:00:33 +0000
+++ loggerhead/__init__.py	2008-07-26 14:52:44 +0000
@@ -13,5 +13,3 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 """Just a simple container to turn this into a python package."""
-__version__ = '1.6'
-required_bzrlib = (1, 6)

=== modified file 'loggerhead/apps/filesystem.py'
--- loggerhead/apps/filesystem.py	2008-08-01 04:18:27 +0000
+++ loggerhead/apps/filesystem.py	2008-07-26 18:39:49 +0000
@@ -36,16 +36,15 @@
 
 
 class BranchesFromFileSystemServer(object):
-    def __init__(self, path, root, name=None):
-        self.path = path
+    def __init__(self, folder, root):
+        self.folder = folder
         self.root = root
-        self.name = name
 
     def app_for_branch(self, branch):
-        if not self.name:
-            name = branch.nick
+        if not self.folder:
+            name = os.path.basename(os.path.abspath(self.root.folder))
         else:
-            name = self.name
+            name = self.folder
         branch_app = BranchWSGIApp(
             branch, name, {'cachepath': sql_dir}, self.root.graph_cache)
         return branch_app.app
@@ -56,20 +55,17 @@
             raise httpexceptions.HTTPMovedPermanently(
                 environ['SCRIPT_NAME'] + '/')
         elif segment == '':
-            return DirectoryListing(self.path)
+            return DirectoryListing(os.path.join(self.root.folder, self.folder))
         else:
-            new_path = os.path.join(self.path, segment)
-            if self.name:
-                new_name = os.path.join(self.name, segment)
-            else:
-                new_name = segment
-            return BranchesFromFileSystemServer(new_path, self.root, new_name)
+            relpath = os.path.join(self.folder, segment)
+            return BranchesFromFileSystemServer(relpath, self.root)
 
     def __call__(self, environ, start_response):
-        if not os.path.isdir(self.path):
+        path = os.path.join(self.root.folder, self.folder)
+        if not os.path.isdir(path):
             raise httpexceptions.HTTPNotFound()
         try:
-            b = branch.Branch.open(self.path)
+            b = branch.Branch.open(path)
         except errors.NotBranchError:
             return self.app_for_non_branch(environ)(environ, start_response)
         else:
@@ -92,33 +88,4 @@
             return favicon_app(environ, start_response)
         else:
             return BranchesFromFileSystemServer(
-                self.folder, self)(environ, start_response)
-
-
-class UserBranchesFromFileSystemRoot(object):
-
-    def __init__(self, folder, trunk_dir):
-        self.graph_cache = lru_cache.LRUCache()
-        self.folder = folder
-        self.trunk_dir = trunk_dir
-
-    def __call__(self, environ, start_response):
-        environ['loggerhead.static.url'] = environ['SCRIPT_NAME']
-        path_info= environ['PATH_INFO']
-        if path_info.startswith('/static/'):
-            segment = path_info_pop(environ)
-            assert segment == 'static'
-            return static_app(environ, start_response)
-        elif path_info == '/favicon.ico':
-            return favicon_app(environ, start_response)
-        else:
-            # segments starting with ~ are user branches
-            if path_info.startswith('/~'):
-                segment = path_info_pop(environ)
-                new_path = os.path.join(self.folder, segment[1:])
-                return BranchesFromFileSystemServer(
-                    new_path, self, segment)(environ, start_response)
-            else:
-                new_path = os.path.join(self.folder, self.trunk_dir)
-                return BranchesFromFileSystemServer(
-                    new_path, self)(environ, start_response)
+                '', self)(environ, start_response)

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-07-31 05:41:42 +0000
+++ loggerhead/changecache.py	2008-07-22 00:40:03 +0000
@@ -33,11 +33,15 @@
 
 with_lock = util.with_lock('_lock', 'ChangeCache')
 
-SQLITE_INTERFACE = os.environ.get('SQLITE_INTERFACE', 'sqlite3')
+SQLITE_INTERFACE = os.environ.get('SQLITE_INTERFACE', 'sqlite')
 
-if SQLITE_INTERFACE == 'sqlite3':
-    from sqlite3 import dbapi2
+if SQLITE_INTERFACE == 'pysqlite2':
+    from pysqlite2 import dbapi2
     _param_marker = '?'
+elif SQLITE_INTERFACE == 'sqlite':
+    import sqlite as dbapi2
+    _param_marker = '%s'
+
 
 _select_stmt = ("select data from revisiondata where revid = ?"
                 ).replace('?', _param_marker)

=== added file 'loggerhead/release.py'
--- loggerhead/release.py	1970-01-01 00:00:00 +0000
+++ loggerhead/release.py	2008-03-06 01:59:26 +0000
@@ -0,0 +1,12 @@
+# Release information about loggerhead
+
+version = "1.2.1"
+
+description = "Loggerhead is a web viewer for projects in bazaar."
+
+author = "Robey Pointer"
+email = "robey@lag.net"
+
+license = "GPL"
+url = "http://launchpad.net/loggerhead"
+download_url = "https://launchpad.net/loggerhead/trunk/1.2/+download/loggerhead-1.2.tar.gz"

=== modified file 'serve-branches'
--- serve-branches	2008-08-01 04:42:14 +0000
+++ serve-branches	2008-07-26 17:41:49 +0000
@@ -16,81 +16,36 @@
 """Search for branches underneath a directory and serve them all."""
 
 import logging
-import os
 import sys
 
-from optparse import OptionParser
-
 from paste import httpserver
 from paste.httpexceptions import HTTPExceptionHandler
 from paste.translogger import TransLogger
 
-from loggerhead import __version__
-from loggerhead.apps.filesystem import (
-    BranchesFromFileSystemRoot, UserBranchesFromFileSystemRoot)
-
-
-def command_line_parser():
-    parser = OptionParser("%prog [options] <path>")
-    parser.set_defaults(
-        user_dirs=False,
-        show_version=False,
-        )
-    parser.add_option("--user-dirs", action="store_true", dest="user_dirs",
-                      help="Serve user directories as ~user.")
-    parser.add_option("--trunk-dir", metavar="DIR",
-                      help="The directory that contains the trunk branches.")
-    parser.add_option("--version", action="store_true", dest="show_version",
-                      help="Print the software version and exit")
-    return parser
-
-
-def main(args):
-    logging.basicConfig()
-    logging.getLogger().setLevel(logging.DEBUG)
-
-    parser = command_line_parser()
-    (options, args) = parser.parse_args(sys.argv[1:])
-
-    if options.show_version:
-        print "loggerhead %s" % __version__
-        sys.exit(0)
-
-    if len(args) > 1:
-        parser.print_help()
-        sys.exit(1)
-    elif len(args) == 1:
-        [path] = args
-    else:
-        path = '.'
-
-    if not os.path.isdir(path):
-        print "%s is not a directory" % path
-        sys.exit(1)
-
-    if options.trunk_dir and not options.user_dirs:
-        print "--trunk-dir is only valid with --user-dirs"
-        sys.exit(1)
-
-    if options.user_dirs:
-        if not options.trunk_dir:
-            print "You didn't specify a directory for the trunk directories."
-            sys.exit(1)
-        app = UserBranchesFromFileSystemRoot(path, options.trunk_dir)
-    else:
-        app = BranchesFromFileSystemRoot(path)
-    app = HTTPExceptionHandler(app)
-    app = TransLogger(app)
-
-    try:
-        from paste.deploy.config import PrefixMiddleware
-    except ImportError:
-        pass
-    else:
-        app = PrefixMiddleware(app)
-
-    httpserver.serve(app, host='0.0.0.0', port='8080')
-
-
-if __name__ == "__main__":
-    main(sys.argv)
+from loggerhead.apps.filesystem import BranchesFromFileSystemRoot
+
+
+logging.basicConfig()
+logging.getLogger().setLevel(logging.DEBUG)
+
+if len(sys.argv) > 1:
+    path = sys.argv[1]
+else:
+    path = '.'
+
+app = BranchesFromFileSystemRoot(path)
+
+app = HTTPExceptionHandler(app)
+app = TransLogger(app)
+
+try:
+    from paste.deploy.config import PrefixMiddleware
+except ImportError:
+    pass
+else:
+    app = PrefixMiddleware(app)
+
+#from paste.evalexception import EvalException
+#app = EvalException(app)
+
+httpserver.serve(app, host='0.0.0.0', port='8080')

=== modified file 'setup.py'
--- setup.py	2008-07-31 04:49:15 +0000
+++ setup.py	2008-07-29 20:42:25 +0000
@@ -1,7 +1,4 @@
 #!/usr/bin/env python
-#
-# Copyright (C) 2008  Canonical Ltd.
-#                     (Authored by Martin Albisetti <argentina@gmail.com>)
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
@@ -15,26 +12,40 @@
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
 """Loggerhead is a web viewer for projects in bazaar"""
 
-
-from distutils.core import setup
-import loggerhead
-
+from distutils.core import setup, Command
+from distutils.command.install_data import install_data
+from distutils.dep_util import newer
+from distutils.log import info
+import glob
+import os
+import sys
+
+
+if sys.version_info < (2, 4):
+    sys.stderr.write("[ERROR] Not a supported Python version. Need 2.4+\n")
+    sys.exit(1)
+
+class InstallData(install_data):
+    def run(self):
+        install_data.run(self)
 
 setup(
     name = "loggerhead",
-    version = loggerhead.__version__,
+    version = "1.6",
     description = "Loggerhead is a web viewer for projects in bazaar",
     license = "GNU GPL v2 or later",
     maintainer = "Michael Hudson",
     maintainer_email = "michael.hudson@canonical.com",
     scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
-    packages = ["loggerhead"],
-    package_data = {"loggerhead":["templates/*.pt"]},
-    data_files = [
-        ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1']),
-        ('share/doc/loggerhead', ['loggerhead.conf.example']),
-        ],
+    packages = ["loggerhead",
+               ],
+    package_data = {"loggerhead":["templates/*"]},
+    data_files=[
+                ('share/man/man1',['start-loggerhead.1', 'stop-loggerhead.1']),
+                ('share/doc/loggerhead', ['loggerhead.conf.example'])
+               ],
+    cmdclass={'install_data':InstallData}
     )
+    

